﻿
using System;
using System.Data;
using Wisej.Web;

namespace DataGridTestBool
{
    public partial class Window1 : Form
    {
        private DataSet dsSource = new DataSet();

        public Window1()
        {
            InitializeComponent();

            FillDataSet();

            BindControls();
        }

        private void FillDataSet()
        {

            //Create a new DataTable in the DataSet
            dsSource.Tables.Add("data");
            dsSource.Tables["data"].Columns.Add("booltext", Type.GetType("System.String"));
            dsSource.Tables["data"].Columns.Add("boolint", Type.GetType("System.Int32"));
            dsSource.Tables["data"].Columns.Add("boolbool", Type.GetType("System.Boolean"));
            dsSource.Tables["data"].Columns.Add("booltext2", Type.GetType("System.String"));
            dsSource.Tables["data"].Columns.Add("boolint2", Type.GetType("System.Int32"));

            //Create a few rows and add them to the DataTable
            DataRow tempRow = dsSource.Tables["data"].NewRow();
            tempRow["booltext"] = "true";
            tempRow["boolint"] = 1;
            tempRow["boolbool"] = true;
            tempRow["booltext2"] = "true";
            tempRow["boolint2"] = 1;
            dsSource.Tables["data"].Rows.Add(tempRow);

            tempRow = dsSource.Tables["data"].NewRow();
            tempRow["booltext"] = "false";
            tempRow["boolint"] = 0;
            tempRow["boolbool"] = false;
            tempRow["booltext2"] = "false";
            tempRow["boolint2"] = 0;

            dsSource.Tables["data"].Rows.Add(tempRow);
        }

        private void BindControls()
        {
            //Bind the DataGrid to the DataSet
            dataGrid1.DataSource = dsSource.Tables["data"]; ;

            dataGrid2.DataSource = dsSource.Tables["data"]; ;

        }

    }
}
